// [ONI'2015] Qualificacao: Problema D - Teste de Forca
// Ficheiro com um avaliador exemplo para poder testar na sua maquina
// (note que o avaliador oficial sera diferente!)

import java.util.Scanner;
import java.lang.System;

class avaliador {
    private static int N, K, forcaNecessaria, sinosPartidos, tentativas;

    public static int martelada(int f) {
	if (sinosPartidos >= K) {
	    System.out.println("ERRO: todos os sinos foram partidos.");
	    System.exit(-1);
	}
	tentativas++;
	if (f < forcaNecessaria) 
	    return 0;
	else {
	    if (f > N) {
		System.out.println("ERRO: Forca excessiva.");
		System.exit(-1);
	    }
	    sinosPartidos++;
	    return 1;
	}
    }
    
    public static void main(String []args) {
	int t, casos, resposta;
	Scanner in = new Scanner(System.in);
	N = in.nextInt(); K = in.nextInt(); casos = in.nextInt();
	for (t = 0; t < casos; t++) {
	    tentativas = 0; sinosPartidos = 0;
	    forcaNecessaria = in.nextInt();
	    resposta = resolver.resolver(N, K);
	    if (resposta == forcaNecessaria)
		System.out.println("Resposta correcta (" + resposta + " apos " + tentativas + " tentativas).");
	    else
		System.out.println("Resposta errada (respondido=" + resposta + ", resposta=" + forcaNecessaria + ").");
	}
    }
}
